/*!
  \file orxonox_gui_update.h
  \brief File that holds the class that creates the update-menu.
*/

#ifndef _ORXONOX_GUI_UPDATE_H
#define _ORXONOX_GUI_UPDATE_H

#include "orxonox_gui.h"
#include <stdio.h>
using namespace std;

//! Class that creates the execute-Options.
class OrxonoxGuiUpdate
{
 private:
  Frame* updateFrame;          //!< The Frame that holds the updateOptions.
  Box* updateBox;              //!< The Box that holds the updateOptions.
  
  Button* updateWindowButton;  //!< The Button that opens the update Window.
  Window* updateWindow;        //!< A Window to update orxonox.
  Box* updateWindowBox;        //!< A Box to hold the updateWindow-Optios.
  Button* updateData;          //!< A Button to update the Data of orxonox.
  Button* updateSource;        //!< A Button to update the Source of orxonox. \todo tricky
  Button* updateWindowClose;   //!< A Button to Close the update Window
  ProgressBar* updateDataBar;  //!< A Bar to display the progress of the download.
  ProgressBar* updateSourceBar;//!< A Bar to display the progress of the download.
  Window* updateDataWindow;    //!< A Window for the data-update.


  Window* updateSourceWindow;  //!< A Window for the Source-update.
  Box* updateSourceWindowBox;  //!< A Box for the Window for the Source-update.

  Button* test;  //!< will be deleted soon.
  
#ifdef HAVE_GTK2 
  static gint updateDataFunc (GtkWidget* w, GdkEventKey* event, void* bar);
  static gint updateSourceFunc (GtkWidget* w, GdkEventKey* event, void* bar);
#endif /* HAVE_GTK2 */


 public:
  OrxonoxGuiUpdate ();
  ~OrxonoxGuiUpdate ();
  
  Widget* getWidget ();
  
  void updateWindowCreate (void);
  Button* updateWindowGetButton(void);

  void updateDataWindowCreate (void);
  Button* updateDataWindowGetButton(void);

  void updateSourceWindowCreate (void);
  Button* updateSourceWindowGetButton(void);
};



#endif /* _ORXONOX_GUI_UPDATE_H */
